Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 62 reacties
Bron: mozillaZine, submitter: Raido

FireFox logoEnige tijd geleden is versie 1.0.5 uitgekomen van Firefox, de internetbrowser van Mozilla. Deze versie is uitgerust met een nieuwe API-structuur, die volgens de ontwikkelaars de browser veiliger zou moeten maken. Kort daarop zijn compatibiliteitsproblemen met extensies en websites ontdekt met de nieuwe versie, waarop de programmeurs hebben besloten de browser binnen korte tijd door te stoten naar versie 1.0.6. Daarom is de vertalers gevraagd om de lokalisatie van de eerdere versie stop te zetten, totdat de nieuwe versie beschikbaar is. Dit heeft tot gevolg dat gebruikers die graag in het Nederlands surfen aangewezen zijn op de op een na laatste release van Firefox of het gebruik van de gelokaliseerde development builds van versies 1.0.5 en 1.0.6. De Mozilla Foundation hoopt binnen een week de nieuwste versie te kunnen vrijgeven van de internetbrowser, waarna snel de gelokaliseerde builds beschikbaar komen.

Moderatie-faq Wijzig weergave

Reacties (62)

Valt me op hoeveel werk een NL-versie nog is. Je zou verwachten dat je alleen maar wat tekst in menuutjes enzo moet vertalen. En zoveel nieuws komt er ook weer niet bij tussen versies.
Firefox 1.0.5 NL was al gereed voordat de engelse versie openbaar werd gemaakt (de vertaalgroepen hadden een vooraankondiging gehad). Maar wij zijn tegenwoordig afhankelijk van de mozilla organisatie die de testversies verplaatsen naar de release ftp server en zo zichtbaar worden op de homepage van Firefox.

Als alles goed was gegaan was de NL versie dus gelijk met de engelse verschenen! Maar nadat de engelse versie verschenen was kwam men tot de ontdekking dat er een fout ingeslopen was (de engelse had dus eigenlijk niet mogen verschijnen) en daarop heeft men het proces stop gezet.

Wij (de vertaalgroepen) worden er ook moedeloos van, het proces van vertalen is het laaste jaar ingrijpend verandert en een van de redenen was dat het makkelijker en sneller zou gaan om gelijk met de engelse versie te verschijnen.
overgenomen uit http://www.mozbrowser.nl/forum/posting.php?mode=quote&p=31497

(Mad maks is één van de vertalers)

edit: typo
edit: quote en dan ="naam" werkt dus niet op tweakers, dan ook maar verwijderd ;)
Er zijn inderdaad wat problemen met de extensies, weet ik uit ervaring. Je krijgt geen errors ofzo, maar ze doen niet helemaal zoals het hoort. Ikzelf gebruik SessionSaver bijvoorbeeld die onthoud hoeveel tabbladen er openstonden en met welke pagina's, zodat je de volgende keer weer zo verder kunt gaan waar je gebleven bent. Echter, in 1.0.5 onthoud het alleen het eerste tabblad maar. Wel jammer maar als 1.0.6 binnenkort uitkomt zal het wel verbeterd zijn en ga ik niet weer terug naar 1.0.4.
Waarom moet de browser zich aanpassen aan de extensies in plaats van andersom?

Dat websites zich niet hoeven aan te passen aan een browser kan ik me wel voorstellen, die horen zich gewoon aan te passen aan de standaard. En de browser hoort dan de standaard goed weer te geven.

Verder snap ik niet waarom Firefox nog steeds niet lekker te updaten is. Waarom moet er telkens een installer doorlopen worden? Waarom moet er bij installatie telkens een lege Firefox-map worden aangemaakt in mn start-menu terwijl ik het hokje van startmenu juist uitzet?

Maargoed, verder ben ik nog steeds heel tevreden over firefox.
Een verbeterde updater is geplanned voor versie 1.1 geloof ik (ik kan die roadmap op mozilla.org nooit vinden)

-Edit-
Gevonden!
http://wiki.mozilla.org/Firefox:1.1_Software_Update_Upgrades
http://wiki.mozilla.org/Firefox:1.1_Software_Update_UI

Voor 1.1 dus, met 'screenshots' ;)
http://www.mozilla.org/roadmap/branching-2005-05-04.png
Meest recent wat ik kan vinden.
1.1 Alpha 1
1.1 Alpha 2
1.1 Beta
1.1 RC1
1.1 RC2
1.1 Final

We zitten nu bij Alpha 2, ook wel bekend als Deer Park Alpha 2. Tevens is de 1.1 serie gebaseerd op de Gecko 1.8 serie ipv de 1.7 die bij 1.0 gebruikt wordt (veel versie nummers dus :Y))

edit:
Nog een site met inforamtie over releases http://wiki.mozilla.org/Firefox:1.1_Product_Team
Op dit moment gebruik ik Deer Park Alpha 2 en de interface is hier ook al aardig veranderd. Het optiemenu is ook naar mijn smaak 'mooier' gemaakt.

Heb trouwens nog geen crash moment meegemaakt met deze Alpha 2 (!). :Y)
Als het de bedoeling is dat de interface gewijzigd wordt moeten de extensies zich aanpassen. Als je van plan bent de interface niet aan te passen maar dat toch gebeurd zit het probleem toch echt bij de browser.
Zit je toch een week met een (theoretisch?) veiligheidslek als je op NL wilt blijven
Als je een veilige NL-versie wilt gebruiken kun je ook de testversie van 1.0.6 gebruiken, ik gebruik deze al enkele dagen en nog geen enkele crash gehad.
En ondertussen is versie 1.0.6 al uit EN beschikbaar in het Nederlands (http://www.mozilla.org/products/firefox/all.html)

Ofwel dit bericht is toch wat laat op Tweakers verschenen, je vraag is dus ook niet echt relevant meer...
Het is geen veiligheidslek, maar er zijn compatibiliteits problemen met extensies. Heel wat anders!
Er zijn wel degelijk veiligheidsgaten in Firefox 1.0.4:

http://secunia.com/advisories/16043/

Sommige hiervan zijn toch redelijk serieus.
Die website is leuk en aardig, maar er staan zaken in die oud zijn en opgelost zijn. Zo staan daar zaken in dat er iets critical is maar als je dan gaat kijken bij bijvoorbeeld Microsoft dan is daar een nieuw programma voor gemaakt, daar wordt op die site niet naar toe gelinkt, op die manier krijg je een vertekend beeld.
De discussie daarover wil ik helemaal vermijden. Het ging mij er alleen om dat updaten naar 1.0.5 ook qua veiligheid wel belangrijk is, omdat er een serieuze security vulnerability in 1.0.4 zit. De vergelijking Internet Explorer vs. Firefox is wat mij betreft helemaal niet aan de orde.
Deze versie is uitgerust met een nieuwe API-structuur, die volgens de ontwikkelaars de browser veiliger zou moeten maken.
Terug naar 1.0.4 betekent dus een "onveilige" API.
Terug naar 1.0.4 betekend geen onveilige API.
Verder naar 1.0.5 betekend een "veiligere" API.
Dat iets veiliger wordt wil niet zeggen dat het andere "onveilig" is.
@ computernerd

iets wat in een nieuwere versie veiliger is betekend automatisch dat de oudere versie onveiliger is. een glas kan ook niet vol en leeg gelijktijdig zijn. (hooguit halfvol en halfleeg)
Er bestaat geen verschil tussen "theoretische" en "echte" veiligheidslekken. Een lek is een lek. Als IE misschien een lek heeft is dat een Lek, dus als FF een theoretisch lek heeft is dat gewoon een lek.
Nou nou, bij onze vrienden uit Redmond is dat soms 1 jaar.... :7
Is een engelse versie zo lastig te gebruiken dan? Ik dacht dat in 2005 men wel engels kon (geen flame maar omdat zelfs op de basisschool al engels gegeven wordt).

Als ik een nederlandse photoshop/word voorgeschoteld krijg, weet ik echt even niet wat ik moet doen. Volgens mij is het gewoon een kwestie van gewenning.
Tsja, ik moet soms wel wat doen op een Chinese MS-Office, en nee ik ken geen Chinees. Normaal kan je een bekend programma altijd wel gebruiken, maar ik merk als er onverwachte situaties optreden dat veel gebruikers het iets beter snappen en kunnen uitleggen als het in hun eigen taal werkt.
Is het niet een beetje raar dat ze weten dat 1.0.5 niet alles het even goed doet, en dat Mozilla 'm toch gewoon op de site zet, zonder enige waarschuwing, waaruit zou kunnen blijken voor de gebruiker dat het niet een helemaal foutloze versie is?
En is het ook een een beetje vreemd dat dit niet tijdens de nightly builds e.d. aan het licht is gekomen?
Vraag me toch af waarom mensen zo vast houden aan Nederlandse menuutjes en zo.. Een beetje geek kan toch wel Engels? Is ook veel simpeler om dingen uit te leggen als je eens met een Engelstalig persoon in discussie bent.
Juist mensen als jij brengen het nederlands als taal in gedrang. Het is zeer belangrijk om als taal een plaats te veroveren in de computerbuisiness.

Gelukkig zijn er veel die nederlandse versies van programma's zeer waarderen, en steeds meer hun best doen om engelse woorden te doen verdwijnen.
Waarom schrijf jij dat bericht dan in het Nederlands. Een beetje Geek begrijpt toch Engels.......

Gemak dient de mens en een Nederlandse versie vind ik vaak toch handiger. (Al sta ik wel raar te kijken als in Emule het downloaden vertaald wordt naar "overhalen")
Volgens mij mag dat niet volgens de voorwaarden van Tweakers.

Maar..... who gives a sh*t?
Gemak dient de mens en een Nederlandse versie vind ik vaak toch handiger. (Al sta ik wel raar te kijken als in Emule het downloaden vertaald wordt naar "overhalen")
Ik vind het Engels toch wel een stuk gemakkelijker, hoef ik me niet aldoor te ergeren aan de vertaalfouten. Tevens zijn de Engelstalige versies over het algemeen iets eerder beschikbaar.
Dit is zeker wel een slechte zaak. Het zal zeker niet de adoptie door nieuwe gebruikers goed doen. Ook voor de bestaande aanhang is het niet goed.
Zo denk je bijvoorbeeld een veilige browser te gebruiken, kun je echter geen belangrijke updates doen en zit je zodoende nog met browser te kijken die last heeft van veiligheidslekken.

Overigens ligt dit niet aan de vertalers - die altijd staan te springen om een nieuwe release uit te brengen en dit ook zo gedaan hebben - maar aan de Mozilla Foundation die niet voldoende met de vertalers communiceert:
"Please, stop being so vague! Just tell us what the problem is!" pleaded Marek Stepien, who works on the Polish localisation, in a message to the netscape.public.mozilla.l10n newsgroup about the Firefox 1.0.5 localisation situation. "We are getting lots of e-mails from Firefox users in Poland asking us about why isn't Firefox 1.0.5 available in Polish (and we, the l10n team, are being blamed for the delay). The journalists are also asking us the same questions... A few days more and it's gonna be a big PR disaster for Firefox outside the USA."
Bron

Ik hoop dat de Mozilla Foundation hier verbetering in gaat aanbrengen want zo verlies ik wel mijn (veiligheids) vertrouwen in Firefox en Thunderbird...
Ik hoop dat de Mozilla Foundation hier verbetering in gaat aanbrengen want zo verlies ik wel mijn (veiligheids) vertrouwen in Firefox en Thunderbird...
uhm, sorry? Op basis van 1 veiligheidslek (versie 1.04) en een fout in de update (1.05) verlies jij het vertrouwen? Vraag ik me toch af welk besturingssysteem je draait, want MS was berucht om de updates die vervolgens weer ge-update moesten worden...

(Geen flame richting MS overigens: de laatste tijd kloppen hun updates over het algemeen. Meer verbazing over het feit dat mensen meteen beginnen te roepen dat ze hun vertrouwen verliezen naar aanleiding van één probleempje...)
Nee, het gaat mij meer om de laksheid van de organisatie. Tuurlijk is het geweldig wat ze allemaal klaarspelen met vrijwilligerswerk maar je merkt ook zo de gebreken.

Voor dat ene veiligheidslek ben ik niet zo bang, wel voor de slechte communicatie onderling. Daarbij moet ik wel vertellen dat ik al eens last heb gehad van een exploit in Thunderbird NL terwijl er wel al een EN versie was waarin het probleem al wekenlang was opgelost... Misschien deel jij deze ervaring nog niet. ;)

Dit probleem is niet toevallig deze keer maar speelt al een hele tijd...
ik volg je volledig in het je punt van je communicatie, die paniekvoetbal was even pijnlijk om te zien, maar goed naar mijn gevoel was dit de eerste keer dat ze echt onderuitgingen (mozilla had nooit de bekendheid die firefox heeft), dus laat ons dit maar met de mantel der liefde dichtdekken en hopen dat ze leren uit hun fouten?

wat dat probleem met die achterlopende vertaling betreft, dat was inderdaad zo bij de versies < 1 maar sindsdien vindt ik dat ze altijd zeer goed bij zijn.
Je kan trouwens ook gewoon de engelse versie installeren en daar de nederlandstalige via een extensie als schil bovenop installeren. De nederlandstalige compilaties zijn er alleen voor 'de gemakkelijkheid', maar je kan dus van een japanse in principe ook zonder problemen een nederlandse maken (het werkt voor om over de engelse een nederlandse schil te leggen, over de japanse heb ik nog niet geprobeert;-)

edit: ik kan geen recente versie meer vinden van de extensie local switcher, maar persoonlijk ben ik best tevreden met de snelheid waarmee de nederlandstalige versies uitkomen, maar dat is persoonlijk natuurlijk;-)
Vrij logische reactie, als mensen overstappen op FF omdat het veiliger is en er komen dan artikeltjes dat patches zo lang duren voor FF dan valt het overstap verhaal in elkaar.

Of die verhalen correct zijn of niet is redelijk irrelevant.
het grote voordeel van ff is dat de fouten gevonden worden. Bij ie worden vaak de fouten misbruikt, en moeten dan gepached worden(ook niet altijd, maar regelmatig). Verder gebruik ik ff omdat hij 99% van de spyware tegehoud. En dus pc lekker snel blijft. En dan kan een veligheidslek me echt daar niet vanaf houden.

ik durf zelfs te stellen, dat bv mac niet veel veiliger is als windows, als het net zo grootschalig gebruikt zou worden, en dezelfde reputatie had qua geldwolven, dan waren daar net zoveel fouten in gevonden.
Mijn Firefox geeft nog niet aan dat 1.0.5 al uit is.
Als je NL versie hebt geeft ie dat zowieso nog niet aan(vertaling nog niet klaar en stopgezet.).
Nee dat is logisch, als er een veiligheidslek inzit is het beter niet te updaten en (rustig ;) ) af te wachten tot 1.0.6. :)
in de 1.0.5 zijn alle veiligheidslekken gedicht, alleen is er een probleem waardoor sommige extensies niet werken en eigelijk had deze versie dus nog niet vrijgegeven mogen geweest zijn ..
maar de 1.0.6 staat al enkele dagen op de test servers dus ik denk dat het eerder een kwestie van 1-2 dagen zal zijn voor de 1.0.6 officieel is
Waar kan je 1.06 dan downloaden of is die nog niet uit?
de 1.0.6 is nog niet officieel vrijgegeven, maar op de links van dennistd hierboven kan je de test versies downloaden

officiele 1.0.6 is kwestie van 1-2 dagen

edit : typo
Inmiddels is versie 1.0.6 uit :)

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True